%define FCLIPDIR %_libdir/clip
%define VCLIPDIR %_localstatedir/clip

Name: clip
Version: 1.1.10
Release: alt2

Summary: XBASE/Clipper compatible program compiler
Summary(ru_RU.KOI8-R):   XBASE/Clipper  

License: GPL
Group: Development/Other
Url: http://www.itk.ru

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-%version.doc-ru-html.tar.bz2

%add_findreq_skiplist %FCLIPDIR/bin/tconv
%set_verify_elf_method textrel=relaxed
%add_findprov_lib_path %FCLIPDIR/lib

# Automatically added by buildreq on Wed May 26 2004
BuildRequires: XFree86-devel flex libclip-devel libdb4.2-devel libgpm-devel libncurses-devel libreadline-devel wget zlib-devel

Requires: lib%name-devel = %version-%release

%description
This package includes the clip compiler and supplimentary libraries

%description -l ru_RU.KOI8-R
    clip   

###################################################################################3
%package -n %name-doc-ru
Summary: XBASE/Clipper compatible program compiler - documentation
Summary(ru_RU.KOI8-R):     XBASE/Clipper  
Group: Development/Other
Requires: lib%name = %version

%description -n %name-doc-ru
This package includes the clip compiler documentation

%description -n %name-doc-ru -l ru_RU.KOI8-R
      clip


###################################################################################3
%package -n lib%name
Summary: XBASE/Clipper compatible program compiler - runtime library
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --   
Group: Development/Other

%description -n lib%name
This package provides runtime shared libraries for CLIP package

%description -n lib%name -l ru_RU.KOI8-R
        CLIP

###################################################################################3
%package -n lib%name-devel
Summary: XBASE/Clipper compatible program compiler - headers
Summary(ru_RU.KOI8-R):   XBASE/Clipper   --  
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides headers files for CLIP package

%description -n lib%name -l ru_RU.KOI8-R
      CLIP

%prep
%setup -q
tar xfj %SOURCE1

%build
CLIPROOT=%_libdir/clip BINDIR=%_bindir ./configure -r || exit 1
export CLIPROOT=$RPM_BUILD_ROOT/%_libdir/clip 
export CLIP_LOCALE_ROOT=`pwd`
make

%install

make install DESTDIR=$RPM_BUILD_ROOT BINDIR=%_bindir CLIPROOT=%_libdir/clip
(cd doc ; make install DOCDIR=$RPM_BUILD_ROOT/%_docdir/%name-%version)
cp -rf html/ru $RPM_BUILD_ROOT/%_docdir/%name-%version
#%__mkdir -p $RPM_BUILD_ROOT/%FCLIPDIR
#%__cp -rf locale.pot $RPM_BUILD_ROOT/%FCLIPDIR/

echo "-v0
-O
-r
-l" > $RPM_BUILD_ROOT/%FCLIPDIR/cliprc/clipflags

# fix broken installer in source
#mkdir -p $RPM_BUILD_ROOT/%_docdir
#mv $RPM_BUILD_ROOT/%FCLIPDIR/doc $RPM_BUILD_ROOT/%_docdir/%name-%version
rm -f $RPM_BUILD_ROOT/%_libdir/libclip.*
#ln -s %FCLIPDIR/clip/libclip.so $RPM_BUILD_ROOT/%_libdir/

# move locale from read only usr dir to /var/lib
mkdir -p $RPM_BUILD_ROOT/%VCLIPDIR
mv $RPM_BUILD_ROOT/%FCLIPDIR/locale* $RPM_BUILD_ROOT/%VCLIPDIR
ln -s %VCLIPDIR/locale.pot $RPM_BUILD_ROOT/%FCLIPDIR/
ln -s %VCLIPDIR/locale.po $RPM_BUILD_ROOT/%FCLIPDIR/
ln -s %VCLIPDIR/locale.mo $RPM_BUILD_ROOT/%FCLIPDIR/
mv $RPM_BUILD_ROOT/%FCLIPDIR/etc $RPM_BUILD_ROOT/%VCLIPDIR
ln -s %VCLIPDIR/etc $RPM_BUILD_ROOT/%FCLIPDIR/


%pre -n lib%name
/usr/sbin/groupadd -r -f %name &>/dev/null

%post -n lib%name
grep -qs "^%FCLIPDIR/lib$" %_sysconfdir/ld.so.conf || echo "%FCLIPDIR/lib" >>%_sysconfdir/ld.so.conf
/sbin/ldconfig

%postun -n lib%name
if [ "$1" = "0" ]; then
    rm -f %_sysconfdir/ld.so.conf.new &&
    fgrep -v "%FCLIPDIR/lib" %_sysconfdir/ld.so.conf >%_sysconfdir/ld.so.conf.new
    mv -f %_sysconfdir/ld.so.conf.new %_sysconfdir/ld.so.conf || rm -f %_sysconfdir/ld.so.conf.new
fi
/sbin/ldconfig


%files
%_bindir/*
%FCLIPDIR/bin

%files -n lib%name
%docdir %_docdir/%name-%version
%dir %FCLIPDIR/lib
#%_libdir/libclip.so
%FCLIPDIR/lib/lib*.so

%FCLIPDIR/locale.pot
%FCLIPDIR/locale.po
%FCLIPDIR/locale.mo
%attr(0775, root, clip) %dir %VCLIPDIR/locale.pot
#%attr(0664, root, %name) %VCLIPDIR/locale.pot/*
%attr(0775, root, clip) %dir %VCLIPDIR/locale.po
%attr(0664, root, clip) %VCLIPDIR/locale.po/*
%attr(0775, root, clip) %dir %VCLIPDIR/locale.mo
%attr(0664, root, clip) %VCLIPDIR/locale.mo/*

%dir %FCLIPDIR/cliprc
%config %FCLIPDIR/cliprc/*
#%config %FCLIPDIR/cliprc/.notrm
%FCLIPDIR/charsets
%dir %FCLIPDIR/etc
#%config %FCLIPDIR/etc/*
#%attr (0664, root, clip) %config %VCLIPDIR/etc/*
#%attr (0755, root, clip) %dir %VCLIPDIR/etc/terminfo
%VCLIPDIR/etc
%FCLIPDIR/keymaps
%FCLIPDIR/lang
%FCLIPDIR/term


%files -n lib%name-devel
%FCLIPDIR/include

%files -n %name-doc-ru
%_docdir/%name-%version/ru
%_docdir/%name-%version/rus

#%files -n libclip
#%FCLIPDIR/lib/*.a


%changelog
* Mon Jul 19 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.10-alt2
- apply last patches (19.07.04)

* Mon Jun 21 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.10-alt1
- apply last patches (21.06.04)
- use a macro for ldconfig

* Wed May 26 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.10-alt0.1
- new version

* Tue Apr 06 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.9-alt0.2
- release to Sisyphus

* Fri Feb 27 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.9-alt0.1
- new version
- split in to different packages


* Fri Feb 20 2004 Vitaly Lipatov <lav@altlinux.ru> 1.1.8-alt0.1
- first build for Sisyphus
